import express, {Express, json, urlencoded} from 'express';
import 'dotenv/config';
import cors from 'cors';
import {mongoose} from './repository/mongoose';
import {UsersRouter} from './routes/user';
import { CommentController } from './controllers/comments';

mongoose.run();

const app: Express = express();
app.use(json());
app.use(cors());
app.use(urlencoded({extended: true}));

app.use(express.static('public/uploads'));
app.use('/users', UsersRouter);
app.use('/comments', new CommentController().getRouter())
app.use('/comments', new CommentController().getRouter())


app.listen(process.env.PORT, () => {
	console.log(`App started on port ${process.env.PORT}`);
});
